edelib 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ExpandableGroup Class Reference
FLTK widgets and functions

A group with applied layout on childs. More...

`#include <edelib/ExpandableGroup.h>`

Inheritance diagram for ExpandableGroup:

## Public Member Functions
| ExpandableGroup (int x, int y, int w, int h, const char *l=0)

## Detailed Description

A group with applied layout on childs.

ExpandableGroup is group where all childs are placed next to each other. Resizing this group will dynamically reorder childs position so they fit into group height. Because of this, childs x() and y() values are ignored.

Starting position for the first child is x = 10, y = 10, and spacing between each added child is 10 px.

Childs before be put in, must be allocated with new; destructor on them will be called automatically.

Note
  All childs have to have the same height, so reordering can be correctly computed

## Constructor & Destructor Documentation

ExpandableGroup | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | const char * | l = `0`
| ) |  |

Constructs an empty group.

The documentation for this class was generated from the following file:

- edelib/ExpandableGroup.h